/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Mesh {

public Mesh(@android.annotation.NonNull android.graphics.MeshSpecification meshSpec, int mode, @android.annotation.NonNull java.nio.Buffer vertexBuffer, int vertexCount, @android.annotation.NonNull android.graphics.RectF bounds) { throw new RuntimeException("Stub!"); }

public Mesh(@android.annotation.NonNull android.graphics.MeshSpecification meshSpec, int mode, @android.annotation.NonNull java.nio.Buffer vertexBuffer, int vertexCount, @android.annotation.NonNull java.nio.ShortBuffer indexBuffer, @android.annotation.NonNull android.graphics.RectF bounds) { throw new RuntimeException("Stub!"); }

public void setColorUniform(@android.annotation.NonNull java.lang.String uniformName, int color) { throw new RuntimeException("Stub!"); }

public void setColorUniform(@android.annotation.NonNull java.lang.String uniformName, long color) { throw new RuntimeException("Stub!"); }

public void setColorUniform(@android.annotation.NonNull java.lang.String uniformName, @android.annotation.NonNull android.graphics.Color color) { throw new RuntimeException("Stub!"); }

public void setFloatUniform(@android.annotation.NonNull java.lang.String uniformName, float value) { throw new RuntimeException("Stub!"); }

public void setFloatUniform(@android.annotation.NonNull java.lang.String uniformName, float value1, float value2) { throw new RuntimeException("Stub!"); }

public void setFloatUniform(@android.annotation.NonNull java.lang.String uniformName, float value1, float value2, float value3) { throw new RuntimeException("Stub!"); }

public void setFloatUniform(@android.annotation.NonNull java.lang.String uniformName, float value1, float value2, float value3, float value4) { throw new RuntimeException("Stub!"); }

public void setFloatUniform(@android.annotation.NonNull java.lang.String uniformName, @android.annotation.NonNull float[] values) { throw new RuntimeException("Stub!"); }

public void setIntUniform(@android.annotation.NonNull java.lang.String uniformName, int value) { throw new RuntimeException("Stub!"); }

public void setIntUniform(@android.annotation.NonNull java.lang.String uniformName, int value1, int value2) { throw new RuntimeException("Stub!"); }

public void setIntUniform(@android.annotation.NonNull java.lang.String uniformName, int value1, int value2, int value3) { throw new RuntimeException("Stub!"); }

public void setIntUniform(@android.annotation.NonNull java.lang.String uniformName, int value1, int value2, int value3, int value4) { throw new RuntimeException("Stub!"); }

public void setIntUniform(@android.annotation.NonNull java.lang.String uniformName, @android.annotation.NonNull int[] values) { throw new RuntimeException("Stub!"); }

public static final int TRIANGLES = 0; // 0x0

public static final int TRIANGLE_STRIP = 1; // 0x1
}

